<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{purchaseOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
						<!-- --- kena aot ---- -->
                <li class="nav-item"  [hidden]="(purchaseOrder.statustype > '11')">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="col-g-12 col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_purchaseNumber">Nomor Permintaan</label>
                        <input type="text" class="form-control" name="purchaseNumber" id="field_purchaseNumber"
                            [(ngModel)]="purchaseOrder.nodoc" readonly />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_seksie">Seksie / Unit</label>
                        <input type="text" class="form-control" name="seksie" id="field_seksie"
                            [(ngModel)]="purchaseOrder.seksie" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Divisi">Divisi</label>
                        <input type="text" class="form-control" name="seksie" id="field_Divisi"
                            [(ngModel)]="purchaseOrder.div" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tlhDilak">Telah Dilaksanakan</label>
                        <input type="text" class="form-control" name="tlhDilaksanakan" id="field_tlhDilak"
                            [(ngModel)]="purchaseOrder.tlhDilakApp" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_menyetujui">Menyetujui</label>
                        <input type="text" class="form-control" name="menyetujui" id="field_menyetujui"
                            [(ngModel)]="purchaseOrder.MengtahuiApp" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_pemTgsOt">Pemberi Tugas Lembur</label>
                        <input type="text" class="form-control" name="pemTgsOt" id="field_pemTgsOt"
                            [(ngModel)]="purchaseOrder.PemTgsOTAPP" />
                    </div>
                </div>
                <!-- <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label " for="field_createdBy">Created By</label>
                        <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                            [(ngModel)]="purchaseOrder.createdBy" readonly/>
                    </div>
                </div> -->
            </div>
        </div>
        <jhi-overtime-item-in-overtime-as-list
        [idPurchaseOrder]="idPurchaseOrder"
        [idstatus]="purchaseOrder.statustype"
        [usrLogin]="curAccount">
        </jhi-overtime-item-in-overtime-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>